use std::fmt::Display;

use uuid::Uuid;

#[derive(Clone)]
pub struct User {
    pub id: Uuid,
    pub username: String
}

impl Display for User {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "{}", self.username)
        
    }
}